Criar Categoria
Cria uma nova categoria personalizada para a empresa autenticada. O nome deve ser único entre as categorias da empresa. O contexto da empresa é obtido a partir do token de acesso.
curl -X POST "https://api-sandbox.contasimples.com/categories/v1/categories" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "Eletrônicos"
}'
import requests
import json
url = "https://api-sandbox.contasimples.com/categories/v1/categories"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "Eletrônicos"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api-sandbox.contasimples.com/categories/v1/categories", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "Eletrônicos"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Eletrônicos"
}`)
req, err := http.NewRequest("POST", "https://api-sandbox.contasimples.com/categories/v1/categories", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api-sandbox.contasimples.com/categories/v1/categories')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "Eletrônicos"
}'
response = http.request(request)
puts response.body
{
"id": 1146,
"createdAt": "2024-12-25T10:00:00Z",
"updatedAt": "2024-12-25T10:00:00Z",
"companyId": "7c61b3f6-7353-46aa-80ef-3e27d95150ab",
"name": "Eletrônicos",
"establishments": [
{
"id": 16,
"createdAt": "2024-12-25T10:00:00Z",
"updatedAt": "2024-12-25T10:00:00Z",
"name": "Amazon Prime Aluguel",
"type": {
"id": 1,
"createdAt": "2024-12-25T10:00:00Z",
"updatedAt": "2024-12-25T10:00:00Z",
"type": "CUSTOM"
},
"establishmentCategoryId": 1039
}
],
"type": {
"id": 1,
"createdAt": "2024-12-25T10:00:00Z",
"updatedAt": "2024-12-25T10:00:00Z",
"type": "CUSTOM"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Conflict",
"message": "The request conflicts with the current state of the resource",
"code": 409,
"details": "Resource already exists"
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
POST
/categories/v1/categories
POST
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredToken Bearer obtido via OAuth 2.0 Client Credentials. Formato: Bearer TOKEN
Token Bearer obtido via OAuth 2.0 Client Credentials. Formato:
Bearer TOKENContent-Typestring
RequiredThe media type of the request body
Options: application/json
namestring
RequiredNome da categoria a criar.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Token Bearer obtido via OAuth 2.0 Client Credentials. Formato: Bearer TOKEN
Body
application/json
Responses
Was this page helpful?